TABCODE = String.fromCharCode(9);	// タブコード
motoFile = new File("/dgcr/moto.psd");	// 元ファイルがある画像のパス
dataFile = new File("/dgcr/data.txt");	// 画像ファイル名一覧のファイル名
saveFolder = "/dgcr/result/";	// 切り抜かれた画像の保存先フォルダ
imageFolder = "/dgcr/image/";	// 切り抜かれる画像があるフォルダ

if (dataFile.open("r") == true)
{
	while(!dataFile.eof)
	{
		tmp = dataFile.readln();
		Text = tmp.split(TABCODE);
		// ダブルクオーテーションの処理
		for (i=0; i<Text.length; i++)
		{
			if (Text[i].charAt(0) == '"')
			{
				Text[i] = Text[i].substring(1,Text[i].length-1);
			}
		}
		fileObj = new File(imageFolder+Text[0]);
		if (fileObj.open("r") == true)
		{
			// 画像の配置
			open(fileObj);
			activeDocument.selection.selectAll();	// 全てを選択
			activeDocument.activeLayer.copy();	// コピー
			activeDocument.close(SaveOptions.DONOTSAVECHANGES);
			open(motoFile);
			chObj = activeDocument.channels[3];	// アルファチャンネル1を読み込み
			activeDocument.selection.load(chObj);	// アルファチャンネルを選択
			activeDocument.paste(true);	// 選択範囲内にペースト
			savePSD(saveFolder+Text[0].split(".")[0]+".psd");	// ファイル保存
			activeDocument.close(SaveOptions.DONOTSAVECHANGES);
		}
	}
}
// PSD形式で保存
function savePSD(psdFileObj)
{
	var saveFileObj = new File(psdFileObj);
	var psdOpt = new PhotoshopSaveOptions();
	psdOpt.alphaChannels = true;	// チャンネルを保存する
	psdOpt.annotations = true;	
	psdOpt.embedColorProfile = false;	// カラープロファイルは埋め込まない
	psdOpt.layers = true;	// レイヤー情報は保存する
	psdOpt.spotColors = false;
	activeDocument.saveAs(saveFileObj, psdOpt, true, Extension.LOWERCASE);
}
